<?php
/* version 0.0.0 2013/03/03 FK */
//=============================================================================================
/* Structure de la page : 
/////	
_pageHeader($userId) =
	 		_headerNormal(); ou autre _header...() 																		 
	 		_moduleTop(...)																				 
	+- ---------------------------------------------------------------------------------------------------------------- -+
	|  _bodyTopLeft($userMsg);	|| 	_bodyTopCenter(...);					||	_bodyTopRight($userId);					 |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	|  _moduleLeft(...)	 		|| _bodyCentreBegin() ...[begin of center]	

/////
_pageFooter() =
	 								[end of center]...  _bodyCenterEnd() 	|| 	_bodyRight(...) ou bodyRight_empty() ... |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	| 															 														 |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	
	notes : _moduleLeft est le module qui contient un menu adapté au contexte d'utilisateur
	notes : _bodyRight est le module qui contient un menu adapté au contexte local de la page
	noter aussi les | qui marquent la structure de la table principale de présentation
*/
//=============================================================================================
include "COM_fct.inc.php";
//=============================================================================================
//============== _pageHeader : Affichage de l'entête =========================================
function _pageHeader($userId){
	_headerNormal();
	
	echo "<body>\n";
	// (module) Menu horizontal 
		_moduleTop($userId);

	// (Structure) Début du coprs de la page
		echo "<div id=pageMainSpace><!-- Corps de la page - BEGIN -->
			<table id='pageMainTable'><!--  Tableau principal -->";
		
	// affichage des modules de haut de la table principale
		echo "<tr class='tabMenu'><!-- BEGIN 1ere ligne horizontale-->\n";
		echo "	<td id=mainTopLeft><!-- colonne haut gauche, pour menu vertical gauche -->";
			_bodyTopLeft();
		echo "</td>\n";
		echo "	<td id=mainTopCenter><!-- colonne milieu, contenu et menu horizontal -->\n";
			_bodyTopCenter($userId);
		echo "</td>\n";
		echo "	<td id=mainTopRight><!-- colonne droite -->\n";
			_bodyTopRight($userId);
		echo "</td>\n";
		echo "</tr><!-- END 1ere ligne horizontale-->\n";

	//affichage du module de gauche et début du centre
		echo "<tr ><!-- BEGIN 2eme ligne horizontale-->\n";
		echo "	<td valign='top' id=mainLeft><!-- colonne gauche, pour menu vertical gauche -->\n";
			_moduleLeft($userId);
		echo "</td><!-- fin colonne menu gauche-->\n"; // fin de la colonne gauche
		echo "	<td valign='top' align=center id=mainCenter><!-- DEBUT colonne milieu -->\n";
			_bodyCenterBegin();

	// la suite est demandée au cas par cas dans la page utilisatrice de ce script ...
}
//=============================================================================================
//============== _pageFooter() : Affichage de l'entête =========================================
function _pageFooter($type=''){
//---------------------------------------------------------------------------------------------
		_bodyCenterEnd();
	echo "</td><!-- END colonne milieu -->\n";
	echo "	<td class='' width=20% valign='top' id=mainRight><!-- DEBUT colonne droite -->\n";
		if($type=="empty") _bodyRight_Empty();
		else _bodyRight();
	echo "</td><!-- END colonne droite-->";
	echo "</tr><!-- END 2eme ligne horizontale-->\n";
echo "	</table>";
echo "	</div><!-- END - corps de la page -->";
echo "	<div id=FooterCopy>&copy; FK 2007 - 2013</div>\n";
echo "</body></html>";
}
//=============================================================================================
//============== fonctions de _pageHeader =====================================================
//=============================================================================================
//_pageHeader._initUserMsg($userId){
function _initUserMsg($userId){
//---------------------------------------------------------------------------------------------
	$userMsg='Anonyme';
return $userMsg;
}
//---------------------------------------------------------------------------------------------
//_pageHeader._headerNormal()
function _headerNormal(){
// ---------------------------------------------------------------------------------------------
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- Affichage du Titre et des menus -->
<html lang="fr">
<head>
	<title>Gestion de parc Matériel</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="owner" content="Francois Kieffer">
	<meta name="author" content="Francois Kieffer">
	<meta name="copyright" content="Francois Kieffer">
	<link href="style.css" rel="stylesheet" type="text/css">
</head>
<?php
}
//---------------------------------------------------------------------------------------------
//_pageHeader.function _moduleTop($userId, $userLevel)
function _moduleTop($userId){
	$userMsg=_initUserMsg($userId);
	
	echo "<!-- BEGIN Menu 1 Liste ul --><div id='menuTop'><ul>";
		echo "<li class=menuTop><a href='index.php'>Accueil</a></li>";
		echo "<li class=menuTop><a href='cdeArtLst.php?userId=$userId'>Achats en ligne</a></li>";
		echo "<li class=menuTop><a href='erpArtLst.php?userId=$userId'>Gestion de production</a></li>";
		echo "<li class=menuTop><a href='gesComTierLst.php?userId=$userId'>Gestion Commerciale (Tiers)</a></li>";
	echo "</ul></div><!-- END Menu 1 Liste ul -->\n";
	echo "<div id=loginForm>"; // 
	echo "</div>"; // 
}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopLeft($userMsg){ (actuellement vide)
function _bodyTopLeft(){}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopCenter($userId, $userLevel){ (actuellement vide)
function _bodyTopCenter($userId){}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopRight($userId){
function _bodyTopRight($userId){
//---------------------------------------------------------------------------------------------
	if ($userId!="") echo "<a class=thLink href='index.php?logOut'>Déconnexion</a>";
	else	echo "&nbsp;";
}
//---------------------------------------------------------------------------------------------
//_pageHeader._moduleLeft($userId, $userMsg){
function _moduleLeft($userId){
//---------------------------------------------------------------------------------------------
	$menu="left";
	(isset($_SESSION['userId']))?$userId=$_SESSION['userId']:$userId="";

	echo "<div class=".$menu."MenuContainer>"; // begin Left menu
		_moduleMenu($userId, $menu); // liste des option du menu de navigation
		echo "<br><center>Nous sommes le ".(COM_DMY())."</center>"; //date du jour en bas de la div
	echo "</div>"; // end Left Menu
}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyCenterBegin()
function _bodyCenterBegin(){/* Actuellement vide */}
//=============================================================================================
// ============== Fonctions de _pageFooter() ==================================================
//=============================================================================================
//_bodyFin._bodyCentreEnd()
function _bodyCenterEnd(){/* Actuellement vide */}
//---------------------------------------------------------------------------------------------
//_bodyFin._bodyRight_Empty()
function _bodyRight_Empty(){echo "&nbsp;";}
//---------------------------------------------------------------------------------------------
//_bodyFin._bodyRight(){
function _bodyRight(){
//---------------------------------------------------------------------------------------------
	$menu="outils";
	echo "<div class=".$menu."Menu>"; // begin menu div
	_menuRight(); // ATTENTION, CETTE FONCTION DOIT ETRE DEFINIE DANS CHAQUE PAGE, même vide, elle sert à afficher des infos et actions locales
	echo "</div>"; // end Menu div
}
//=============================================================================================
// ============== Autres fonctions ============================================================
//_pageHeader._menuOption($userId, $userLevel, $menu){ 
function _moduleMenu($userId, $menu="left"){ 
// $menu contient 'left', center, right, top ou bottom pour dire de quel menu il s'agit et est ajouté au style d'affichage des points
//---------------------------------------------------------------------------------------------
	echo "<!-- BEGIN Menu 3 Liste ul Verticale --><ul class='menuContainer_".$menu."'>";
	echo "<li class='menuHeader_$menu'>Menu</li>";
	echo "<a class=thLink href='index.php'><li class='menuLine_$menu'>Accueil</li></a>";
	echo "<a class=thLink href='cdeArtLst.php?userId=$userId'><li class='menuLine_$menu'>Achats en ligne</li></a>";
	echo "<a class=thLink href='erpArtLst.php?userId=$userId'><li class='menuLine_$menu'>Gestion de production</li></a>";
	echo "<a class=thLink href='gesComTierLst.php?userId=$userId'><li class='menuLine_$menu'>Gestion commerciale (tiers)</li></a>";
	echo "</ul><!--  END Menu 3 Liste ul verticale -->\n";
	echo "<!-- espace de login, si besoin -->";
}
//=============================================================================================
//============== _goToUrl() : page complète spéciale pour la redirection ======================
//=============================================================================================
// utilisée pour des erreurs d'identifiacation, des erreurs de saisie, d'autorisation d'accès
// pour l'affichage du résultat d'une action ?
// ------------ affichage de la page de redirection si nécessaire -----------------------------
function _goToUrl($message, $backUrlCompltete, $userValid, $userId, $redir="y"){
//---------------------------------------------------------------------------------------------
	_headerRedir($backUrlCompltete, $redir);
	echo "<body>\n";
	
	// (module) Menu horizontal 
	_moduleTop($userId);
	
	// (Structure) Début du coprs de la page
	echo "<div id=pageMainSpace><!-- Corps de la page - BEGIN -->
		<table id='pageMainTable'><!--  Tableau principal -->";
		
	// affichage des modules de haut de la table principale
		echo "<tr class='tabMenu'><!-- BEGIN 1ere ligne horizontale-->\n";
		echo "	<td id=mainTopLeft><!-- colonne haut gauche, pour menu vertical gauche -->";
			_bodyTopLeft();
		echo "</td>\n";
		echo "	<td id=mainTopCenter><!-- colonne milieu, contenu et menu horizontal -->\n";
			_bodyTopCenter($userId);
		echo "</td>\n";
		echo "	<td id=mainTopRight><!-- colonne droite -->\n";
			_bodyTopRight($userValid);
		echo "</td>\n";
		echo "</tr><!-- END 1ere ligne horizontale-->\n";
	
	//affichage du module de gauche et début du centre
		echo "	<tr ><!-- BEGIN 2eme ligne horizontale-->\n";
		echo "	<td valign='top' id=mainLeft><!-- colonne gauche, pour menu vertical gauche -->\n";
			_moduleLeft($userId, 0);
		echo "</td><!-- fin colonne menu gauche-->\n"; // fin de la colonne gauche
		echo "	<td valign='top' align=center id=mainCenter><!-- DEBUT colonne milieu -->\n";
			_bodyCenterBegin();
	// corps de la page
	echo "<center><h3>$message</h3></center>"; // contenu de la cellule centrale
	
	// Pied de la page
	_pageFooter('empty');
	
	exit(0); // forcer la sortie du stript.
}
//---------------------------------------------------------------------------------------------
//le header de la page de redirection
function _headerRedir($backUrlCompltete, $redir='y'){
// ---------------------------------------------------------------------------------------------
echo '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- Affichage du Titre et des menus -->
<html lang="fr">
<head>
	<title>Gestion de parc Matériel</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="owner" content="Francois Kieffer">
	<meta name="author" content="Francois Kieffer">
	<meta name="copyright" content="Francois Kieffer">';
if($redir='y') echo'	<META HTTP-EQUIV="refresh" CONTENT="5; URL='.$backUrlCompltete.'" >';
echo '
	<link href="style.css" rel="stylesheet" type="text/css">
</head>
';
}
//---------------------------------------------------------------------------------------------
//=============================================================================================
?>